From 2d7920cb8a98df6e97c1213c4214c22d626f8372 Mon Sep 17 00:00:00 2001
From: Andrew Dunstan <andrew@dunslane.net>
Date: Tue, 1 Jun 2021 13:52:11 -0400
Subject: [PATCH 6/9] Add a getter function for a PostgresNode install_path

Experience has shown this can be useful, and while not strictly necessary
we should not normally expose the internals of PostgresNode objects.
---
 src/test/perl/PostgresNode.pm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/src/test/perl/PostgresNode.pm b/src/test/perl/PostgresNode.pm
index 7ed52c83bb..7b1ce46e8d 100644
--- a/src/test/perl/PostgresNode.pm
+++ b/src/test/perl/PostgresNode.pm
@@ -302,6 +302,20 @@ sub backup_dir
 
 =pod
 
+=item $node->install_path()
+
+The configured install path (if any) for the node.
+
+=cut
+
+sub install_path
+{
+	my ($self) = @_;
+	return $self->{_install_path};
+}
+
+=pod
+
 =item $node->info()
 
 Return a string containing human-readable diagnostic information (paths, etc)
-- 
2.25.4

